# MAT_PARTITIONING_PARMETIS

Creates a partitioning context via the external package PARMETIS.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatPartitioningCreate_Parmetis(MatPartitioning part)

Collective on MPI_Comm

### Input Parameter

part -the partitioning context

### Options Database Keys

| -mat_partitioning_parmetis_coarse_sequential | - use sequential PARMETIS coarse partitioner

Notes: See http://www-users.cs.umn.edu/~karypis/metis/

### Keywords

Partitioning, create, context

### See Also

MatPartitioningSetType(), MatPartitioningType

Level:beginner
Location: src/mat/partition/impls/pmetis/pmetis.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages